Bug 30541 - Windows default icons should not be Gnome icons
Summary: Windows default icons should not be Gnome icons
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 53538 (view as bug list)
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2010-10-01 09:03 UTC by Olivier R.
Modified: 2018-03-30 20:00 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier R. 2010-10-01 09:03:48 UTC
Windows users should not get Linux icons by default.

Please, leave the Gnome icons for Gnome users, and restore back the Galaxy icon set for Windows users.

Thank you.
Comment 1 Michael Meeks 2010-10-08 03:59:03 UTC
Interesting, so there are many opinions here - but there is also a setting in the tools -> options. The Tango icon set was designed to look good cross-platform - and be similar to the Firefox icons (which I believe are also used cross-platform).

Can you pick on a few icons that you particularly dislike, or - better - take a screenshot of some context that you don't like - are you worried mostly about the file-association icons, or the in-application ones ? and of course the deeper question is - which version of windows, with what theme ? [ we can potentially do some per-theme adaptation of the default icon set used, as we do on Linux ].

Thanks !
Comment 2 Jean-Baptiste Faure 2010-10-10 12:19:48 UTC
Add me to cc. JBF
Comment 3 Justin Haygood 2010-11-14 20:59:51 UTC
I do have to admit.. Tango does look out of place on Windows 7 with Aero.
Comment 4 Don't use this account, use tml@iki.fi 2010-11-19 04:59:39 UTC
Olivier, please respond to Michael's questions.
Comment 5 Rainer Bielefeld Retired 2010-12-15 11:13:42 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this Bug if you find out that the problem still exists in the latest release of LibO and if you can provide requested additional information.
Comment 6 Olivier R. 2011-06-08 13:15:15 UTC
Please accept my apologies for this very late answer. I have been very busy for months, then I simply forgot I had created this issue. (I also changed of ID.)


> are you worried mostly about the file-association icons,
> or the in-application ones ?

I am only talking about in-application icons.


> The Tango icon set was designed to look good cross-platform 

How could a style be cross-platform? Gnome, KDE, Mac and Windows have quite different styles, and these icons look definitevely like Gnome elements. I am using Windows 7 (with Aero) and Tango has nothing common with usual icons and widgets on Windows 7 (and neither with Windows XP).


> Can you pick on a few icons that you particularly dislike, or - better -
> take a screenshot of some context that you don't like 

Here is a comparison of themes on Windows 7.
http://img844.imageshack.us/img844/3867/libothemespreferences3.png

Actually, I dislike most of Tango icons, except those surrounded with blue. The icons surrounded with red are from the Galaxy theme in my configuration made before LibreOffice was born.

But I don’t really see the point of explaining my tastes.

The question is: why the default theme on Windows have been changed?

As you can see on the picture, Galaxy is more appropriate for Aero and for XP also.
Saying that users can change the default icons set is unsatisfying. What would you think if the default theme on Linux was the “Redmond” one (a copy of the old Windows style)? You would wonder why imposing this nonsense theme on your OS. This is what I think of Tango.
Comment 7 Don't use this account, use tml@iki.fi 2011-06-09 01:04:04 UTC
If you don't want anything to change, don't change anything.
Comment 8 Olivier R. 2011-06-09 04:40:11 UTC
What this tautology is supposed to mean? Did I write something unacceptable?
Why WONTFIX?
Comment 9 Don't use this account, use tml@iki.fi 2011-06-09 06:56:52 UTC
It means, if the icons really are something you absolutely can't stand seeing, then don't change to LibreOffice, but stay with whatever OOo version it was where you enjoyed the icons more.

If somebody is willing to work on this, sure, they can reopen this bug. Or what the heck, I need to work on my community attitude anyway, so I can reopen this now.
Comment 10 Clayton Walker 2012-01-02 10:41:16 UTC
As a user, I'd have to agree.

Please change the default/automatic icon theme from Tango to Galaxy on windows. Although it won't look like other GTK programs on windows, it will make LO look more like a native windows program (as it should).
Comment 11 Rimas Kudelis 2012-03-03 09:46:49 UTC
Hm, I can't see the "Vote" link (it's probably in my blind spot), so this is a "mee too" comment.

To answer Comment #1:
Michael, at least the *Open* icon in Tango set looks completely out of place in Windows. In Windows, folders are yellow. The Tango one is blue (in fact, it should have been blue, but is somewhat greenish gray, which makes me think it's not even a vanilla Tango icon).

Also, the *Save* icon has been changed from a floppy to file cabinet (I guess Olivier's screenshot is kinda outdated). While I understand the reasoning behind this (floppies are dead), pretty much EVERY other application in Windows uses floppy as a Save icon.

Other icons probably look somewhat acceptable (but I haven't checked all of them). STILL, the Galaxy style indeed feels much more windowsy for me. Maybe it's because the Tango icons remind me of Gnome, I don't know.

Other than that, I have at least one pretty good reason to keep Galaxy as the Windows default: they are more similar to MS Office 2003. Why is it good, you may ask. It's good because it makes it easier to learn at least basics of LibO from books about MSO2003 if no books about LibO (or recent versions of OOo) are available in a given language to learn from.
Comment 12 Rimas Kudelis 2012-03-03 10:39:20 UTC
(In reply to comment #1)
> The Tango icon set was designed to look good cross-platform - and be 
> similar to the Firefox icons (which I believe are also used cross-platform).

That's a wrong belief, by the way. Firefox looks good in all platforms because it has separate skins (icons are part of a skin) for Windows, Linux, and Mac. And the Windows skin has further adjustments for XP and Vista/7 (although the icons are same, I think).
Comment 13 ign_christian 2013-06-26 07:15:07 UTC
Galaxy has been applied as default on Win7 (checked with LO 4.0.4.2).
So that should be fixed
Comment 14 Maxim Monastirsky 2013-09-21 19:42:54 UTC
*** Bug 53538 has been marked as a duplicate of this bug. ***
Comment 15 Maxim Monastirsky 2013-09-21 19:50:44 UTC
(In reply to comment #13)
> Galaxy has been applied as default on Win7 (checked with LO 4.0.4.2).
> So that should be fixed

It's not fixed. Just checked with 4.1.1. Also confirmed by Bug 53538 comment 2.
Comment 16 tommy27 2013-12-12 02:58:33 UTC
It's still Tango in 4.1.3.2 as well under Win7 64bit.
I lower importance since IMHO it's just a matter of taste
Comment 17 Olivier R. 2013-12-12 10:28:02 UTC
(In reply to comment #16)
> I lower importance since IMHO it's just a matter of taste

No, that’s a matter of consistency.
UX is not a low priority.
Comment 18 bfoman (inactive) 2014-02-19 19:27:25 UTC
The status of this after more than 3 years after opening:
- Aero theme is gone in Windows 8 (answer for comment 6)
- LibreOffice received new flat icons set https://wiki.documentfoundation.org/ReleaseNotes/4.2#Flat_icons_.28Sifr.29
- Tango set is still a default and it will stay this way http://nabble.documentfoundation.org/set-Oxygen-icon-theme-as-default-tp4061889p4061891.html
- Documentators don't like it http://nabble.documentfoundation.org/Getting-Started-Guide-Version-LO-4-0-tp4029065p4031349.html
- but probably change from Galaxy to Tango in the future http://nabble.documentfoundation.org/Release-4-2-icon-set-tp4086124p4086164.html

So I think that this bug is more WONTFIXable in 2014 than when reported...
Comment 19 Olivier R. 2014-02-19 23:00:32 UTC
(In reply to comment #18)
> The status of this after more than 3 years after opening:

Tango is ugly and still totally out of place on Windows.

Sifr is not complete at the moment and unfortunately unusable. If selected, my LO shows a mix of flat icons, Galaxy icons and Tango icons.

For Windows, there is still nothing better than Galaxy. Sifr could be a replacement when finished.

Documentators may change for Tango only because it’s the default set.

Claiming “Tango's goal is to provide a consistent icon look across various platforms” doesn’t make it true. Actually, it’s not.
Comment 20 Rimas Kudelis 2014-02-20 06:31:19 UTC
(In reply to comment #18)
> - Aero theme is gone in Windows 8 (answer for comment 6)

Aero was never very relevant in this bug. Aero is translucent widgets, we're talking about icons.

> So I think that this bug is more WONTFIXable in 2014 than when reported...

Surely, we can wait another 6 years or so, and deduce that Galaxy will be even less relevant by that time. :)


The problem of this bug is NOT that "LibO doesn't have nice icons". If Tango* were the only icons available, this bug would probably not exist. The problem is that LibO DOES ship icons that match Windows environment (Galaxy), but has flipped the default switch to Tango* icons, which match the target environment less.

IMO, it's a shame that a bug like this stays unfixed for years, especially when it was claimed to be fixed in comment #13.

* Don't know about other icons, but at least the folder (Open) icon in Tango set is NOT matching real Tango, but matches (old?) Gnome icon set instead. LibO shouldn't be calling that set Tango, in my opinion. Or it should fix it to be real Tango set, and not a mashup of random icons from Tango and Gnome sets.
Comment 21 bfoman (inactive) 2014-02-20 15:45:01 UTC
Changing component to ux-advise.
Comment 22 Adolfo Jayme 2014-02-20 20:48:04 UTC
Galaxy icons aren’t better nor worse than Tango (which, by the way, don’t belong to Gnome). Galaxy looks “non-native” as well, and it’s an abandoned icon set which has no people working on it (at least Tango is still being maintained).
Comment 23 tommy27 2014-02-21 06:28:30 UTC
anyone is free to use the icon set he prefers using the options panel in less than 5 seconds... I don't see reason for fighting and keep discussing...

personally I still use the "Classic theme" (see Bug 38175) which I consider superior to both Tango, Galaxy and all other stuff...

just my 2 cents...
Comment 24 Olivier Hallot 2014-02-21 11:15:52 UTC
(In reply to comment #23)
> anyone is free to use the icon set he prefers using the options panel in
> less than 5 seconds... I don't see reason for fighting and keep discussing...
> 
> personally I still use the "Classic theme" (see Bug 38175) which I consider
> superior to both Tango, Galaxy and all other stuff...
> 
> just my 2 cents...

I take for granted that a big chunk of Windows & MS success is in the care they put in designing beautiful and meaningful icons (YMMV). I am with you on Galaxy being by far closest of MS icons than Tango.

But to the 5 seconds, add the time spent to tell the user where to find it. That will take much more time than 5 seconds. Then do it for 100's or 1000's of users and you have a big issue. If your help-desk is charged per call, that means big money. Better automate the change thru a script.
Comment 25 Olivier R. 2014-02-21 11:59:56 UTC
(In reply to comment #23)
> anyone is free to use the icon set he prefers using the options panel in
> less than 5 seconds... I don't see reason for fighting and keep discussing...

Default theme is important. Lots of people just leave if they find an application ugly at first sight. One of the most constant complaint of people who don’t like LO/OO is their feeling with the UX. So default icons matter.

Is this issue not solved because LO can’t set different default icons for each OS? Or is it just a political decision? Who decide? Why? How many of those who decide to set Tango icons for Windows use Windows as their main OS?

At least, this matter should be considered, and not by Linux users who are well pleased with the same icons used by their own desktop.
Comment 26 Rimas Kudelis 2015-01-11 11:39:40 UTC
Reopening this as I'm about to provide a patch. I refuse to agree that marking Galaxy as default for Windows would hurt anyone. We currently have different defaults for KDE, KDE4, KDE5 and Mac OS X, with Tango being the fallback default for other environments (Windows is currently one of these others):
http://opengrok.libreoffice.org/xref/core/vcl/source/app/IconThemeSelector.cxx#55 .

It is quite obvious that Tango does not look native, nor is preferred on all platforms. In fact, the last two commits to this file added new defaults for OS X and KDE5. Of course, Tango is not bad itself and is a perfectly acceptable fallback on platforms, for which we don't have tailored icon sets. But this is not the case on Windows.
Comment 27 Rimas Kudelis 2015-03-07 22:03:11 UTC
For what it's worth, my patch for this issue is on Gerrit (and has been for the past two months): https://gerrit.libreoffice.org/#/c/13859/

However, the UX still doesn't opposes this change, saying they don't want to support a theme without available source images. :(
Comment 28 V Stuart Foote 2015-03-08 19:54:48 UTC
UX-Design. Resolved Wontfix--again.

UX-Design decision was, and remains, Tango as default--absent a more appropriate icon set. Galaxy remains unsupported without source files and is not an appropriate icon set. IMHO Galaxy as implemented looks garish and cartoonish--it would be no improvement to return default on Windows to Galaxy.

Tango and Sifr are cleaner and are both being actively developed and maintained by LibreOffice devs. 

For current builds of master we've obtained KDE Breeze set default for KDE5, to compliment Crystal (default KDE) and Oxygen (default KDE4). And, Sifr is now default for OS X builds.

https://gerrit.libreoffice.org/#/c/13859/ , which would have unilaterally set Galaxy as default icon set on Windows, is correctly being rejected in CodeReview.
Comment 29 Rimas Kudelis 2015-03-08 20:39:38 UTC
Fine.

One last bitter comment then: I find it quite amusing that (quoting the comment on Gerrit) "the platform with the most of our user base" is the only platform we don't have a specifically tailored icon set for (although again, in my opinion, we do have it, but we just refuse to set it as default).
Comment 30 Olivier R. 2015-03-08 21:14:46 UTC
OK. Galaxy is not supported anymore, that’s an understandable reason, even if it sounds like an bad excuse.

(In reply to V Stuart Foote from comment #28)
> IMHO Galaxy as implemented looks garish and
> cartoonish

But come on. Replacing Galaxy by a theme even more cartoonish which looks non-native on Windows is not really an appropriate solution.

But I’m done. I’m fed up to argue on this. I won’t reopen.

Thanks to Rimas for having tried to solve the issue.
Comment 31 V Stuart Foote 2015-03-08 21:45:15 UTC
Folks can select any of the Icon sets, this is about what should be default.
Absent a more viable Icon set for Windows OSs--Tango it is.

Discussions about state of Icon sets 2014-10-22 design meeting, survey conducted,
prelim results published Design minutes 2014-11-12

From those results, of 124 respondents using Windows

Windows             
6 - using Crystal   
12 - using Galaxy        
1 - using High Contrast
0 - using Human
2 - gave no answer
4 - using Oxygen
69 - using predefined (default Tango)  
18 - using Sifr
12 - using Tango

So clearly not a lot of movement away from default Tango back to Galaxy--or in other words no compelling reason to make it default again on Windows.

Now if someone wants to design and put forth a viable Icon theme that would be appropriate for Windows 7, 8 and 10--would love to see it.

=-refs-=
https://wiki.documentfoundation.org/Design/Meetings/2014-10-22 "6 Icon themes"
https://wiki.documentfoundation.org/Design/Meetings/2014-11-12 "Sifr survey preliminary results"
Comment 32 V Stuart Foote 2018-03-30 20:00:53 UTC
(In reply to V Stuart Foote from comment #31)
> 
> Now if someone wants to design and put forth a viable Icon theme that would
> be appropriate for Windows 7, 8 and 10--would love to see it.
> 

And this has happened, Colibre will be the new icon set for Windows builds for 6.1 release--available for review in current master.

see also bug 91094